# Mastery test 2 - part 1


def contains(alist, item):
    """
    Return True if alist contains item, otherwise False

    >>> contains([3,5,7,9], 7)
    True
    >>> contains([3,5,7,9], 8)
    False
    """


def make_sentence(list_of_words):
    """
    Return a string made up of each item in list_of_words concatenated with
    a space in between each item
    
    >>> make_sentence(['Here','are','some','words'])
    'Here are some words'
    """


def mirror(word):
    """
    Return a string made up of word concatenated to a reversed copy
    of itself
    
    >>> mirror("good")
    'gooddoog'
    >>> mirror('Python')
    'PythonnohtyP'
    >>> mirror("")
    ''
    >>> mirror("a")
    'aa'
    """

def remove_duplicates(strng):
    """
    Returns a string which is the same as the argument except only the
    first occurrence of each letter is present.  Upper and lower case
    letters are treated as different.  Only duplicate letters are removed,
    other characters such as spaces or numbers are not changed. 

    >>> remove_duplicates('apple')
    'aple'
    >>> remove_duplicates('Mississippi')
    'Misp'
    >>> remove_duplicates('The quick brown fox jumps over the lazy dog')
    'The quick brown fx jmps v t lazy dg'
    >>> remove_duplicates('121 balloons 2 u')
    '121 balons 2 u'
    """


if __name__ == '__main__':
    import doctest
    doctest.testmod(verbose=True)
